Skip to content
Start here

Create account Email Sending suppression

email_sending.suppressions.create(SuppressionCreateParams**kwargs) -> SuppressionCreateResponse
POST/accounts/{account_id}/email/sending/suppressions

Creates an account-wide suppression. If a mutable legacy zone-linked row already exists, it is promoted without changing its identifier.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
email: str
formatemail
expires_at: Optional[Union[str, datetime, null]]
formatdate-time
note: Optional[str]
maxLength1000
ReturnsExpand Collapse
class SuppressionCreateResponse:
id: str
formatuuid

Create account Email Sending suppression

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
suppression = client.email_sending.suppressions.create(
    account_id="54442216",
    email="user@example.com",
)
print(suppression.id)
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}